Skip to main content

Lookup Player By Portal

GET 

/users/v1/player

Lookup players by various parameters.

Results will include the active player, if possible, otherwise will return the associated player directly.

Request

Query Parameters

    display_name string[]

    Possible values: <= 256 characters

    Lookup players by display names

    identity_platform anydeprecated

    Lookup players by their portal identity for this platform

    platform any

    Lookup players by their platform identity. Will override identity_platform if set.

    identities string[]

    Possible values: <= 2048 characters

    Lookup players by their Portal Identity

Responses

Successful Response

Schema

    display_names object[]

    Default value: ``

    List of display names and the players that match that display name

    identity_platforms

    object

    deprecated

    DEPRECATED Use identity_platforms_by_platform instead. List of platforms and the players that match that platform user id

    property name*

    object[]

  • Array [

  • identity

    object

    List of platform user ids and the players that match that platform user id

    property name*

    PlayerResponse

    Response for getting a player's info

    player_id Player Id (integer)requireddeprecated

    Player ID DEPRECATED use player_uuid instead

    player_uuid uuidrequired

    Player UUID

  • ]

  • identity_platforms_by_platform

    object

    List of platforms and the players that match that platform user id

    property name*

    object[]

  • Array [

  • identity

    object

    List of platform user ids and the players that match that platform user id

    property name*

    PlayerResponse

    Response for getting a player's info

    player_id Player Id (integer)requireddeprecated

    Player ID DEPRECATED use player_uuid instead

    player_uuid uuidrequired

    Player UUID

  • ]

Loading...